## liveadder liveadder — Mixes live/discontinuous audio streams |

## Synopsis

    struct              GstLiveAdder;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstLiveAdder

## Properties

      "latency"                  guint                 : Read / Write

## Description

The live adder allows to mix several streams into one by adding the data. Mixed data is clamped to the min/max values of the data format.

Unlike the adder, the liveadder mixes the streams according the their timestamps and waits for some milli-seconds before trying doing the mixing.

Last reviewed on 2008-02-10 (0.10.11)

## Synopsis

### Element Information

plugin | liveadder
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Generic/Audio

### Element Pads

name | sink%d
direction | sink
presence | request
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int){ 1234, 4321 }, width=(int){ 8, 16, 24, 32 }, depth=(int)[ 1, 32 ], signed=(boolean){ true, false }
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int){ 1234, 4321 }, width=(int){ 32, 64 }

name | src
direction | source
presence | always
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int){ 1234, 4321 }, width=(int){ 8, 16, 24, 32 }, depth=(int)[ 1, 32 ], signed=(boolean){ true, false }
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int){ 1234, 4321 }, width=(int){ 32, 64 }

## Details

### struct GstLiveAdder

    struct GstLiveAdder;

The adder object structure.

## Property Details

### The `"latency"` property

      "latency"                  guint                 : Read / Write

Amount of data to buffer.

Default value: 60

## See Also

adder